File

OpenAPI V2

Retrieve file list.

get

Retrieve the list of files as ID's within your domain.

Authorizations
AuthorizationstringRequired

Please enter token

Path parameters
fileIdsstringRequired
Query parameters
fileIdsstring[]Optional

IDs of the files to be returned.

Example: ["38caa766-9dcd-4681-a955-cb3d9028b18f","963be853-fdcd-4681-a955-cb3d9028b18f"]
Header parameters
x-api-versionstringRequired
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Responses
chevron-right
200

OK

application/json
idstring · uuidOptional

The ID of the file.

Example: 063be713-f...
userEmailstring · nullableOptional

The email of the user (owner of the file).

Example: [email protected]
namestring · nullableOptional

Name of the file.

Example: My Test File
sizeinteger · int64Optional

File size.

Example: 1253
typestring · nullableOptional

File type.

Example: .xbrl
sha256string · nullableOptional

File checksum.

Example: 5B63E7C115FA...
createdOnstring · date-timeOptional

Date time of file creation.

Example: 2019-05-17
isDomainbooleanOptional
isPublicbooleanOptional
get
/customer-corner/file/{fileIds}

List user files.

get

Gives the list of files owned by the user defined by the user email.

Authorizations
AuthorizationstringRequired

Please enter token

Query parameters
idstringOptional

The user email.

Example: [email protected]
includeHistorybooleanOptional

Whether to include the history for each of the files.

Default: false
includePropertiesbooleanOptional

Whether to include the properties for each of the files.

Default: false
Header parameters
x-api-versionstringRequired
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Responses
chevron-right
200

OK

application/json
idstring · uuidOptional

The ID of the file.

Example: 063be713-f...
userEmailstring · nullableOptional

The email of the user (owner of the file).

Example: [email protected]
namestring · nullableOptional

Name of the file.

Example: My Test File
sizeinteger · int64Optional

File size.

Example: 1253
typestring · nullableOptional

File type.

Example: .xbrl
sha256string · nullableOptional

File checksum.

Example: 5B63E7C115FA...
createdOnstring · date-timeOptional

Date time of file creation.

Example: 2019-05-17
isDomainbooleanOptional
isPublicbooleanOptional
get
/customer-corner/file

Upload a file

post

Upload a file to the platform.

Authorizations
AuthorizationstringRequired

Please enter token

Header parameters
x-api-versionstringRequired
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Body
contentstring · byte · nullableOptionalExample: PD94bWwgdmVyc2lvbj0...
userIdstring · nullableOptionalExample: [email protected]
fileNamestring · nullableOptionalExample: My file.xbrl
Responses
chevron-right
200

The ID of the file ("38caa766-9dcd-4681-a955-cb3d9028b18f")

application/json
stringOptional
post
/customer-corner/file

Delete file.

delete

Delete one or more file from the platform by ID.

Authorizations
AuthorizationstringRequired

Please enter token

Header parameters
x-api-versionstringRequired
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Bodystring[]
string[]Optional
Responses
chevron-right
200

The files were successfully deleted.

stringOptional
delete
/customer-corner/file

Was this helpful?